Summary: The Perl programming language.
Name: perl
%define perlver 5.005
%define perlrel 03
%define jperlver 990822
Version: %{perlver}%{perlrel}jp%{jperlver}
Release: 1a
Copyright: GPL
Group: Development/Languages
Source: ftp://ftp.perl.org/pub/perl/CPAN/src/perl%{perlver}_%{perlrel}.tar.gz
Patch0: perl5.005_02-buildsys.patch
Patch1: perl5-installman.patch
Patch2: perl5.005_03-db1.patch
Patch3: ftp://ftp.perl.org/pub/perl/CPAN/authors/id/WATANABE/jperl%{perlver}_%{perlrel}-%{jperlver}.pat.gz
Requires: csh
Buildroot: /var/tmp/perl-root
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
#Packager: FURUSAWA,Kazuhisa <kazu@linux.or.jp>
Packager: MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

%prep
%setup -q -n perl%{perlver}_%{perlrel}
%patch0 -p1
%patch1 -p1
# Perl does not have a single entry point to define what db library to use
# so the patch below is mostly broken...
#%patch2 -p1
%patch3 -p1
find . -name \*.orig -exec rm -fv {} \;

%build
# this is gross
cat > config.over <<EOF
installprefix=$RPM_BUILD_ROOT/usr
test -d \$installprefix || mkdir \$installprefix
test -d \$installprefix/bin || mkdir \$installprefix/bin
installarchlib=\`echo \$installarchlib | sed "s!\$prefix!\$installprefix!"\`
installbin=\`echo \$installbin | sed "s!\$prefix!\$installprefix!"\`
installman1dir=\`echo \$installman1dir | sed "s!\$prefix!\$installprefix!"\`
installman3dir=\`echo \$installman3dir | sed "s!\$prefix!\$installprefix!"\`
installprivlib=\`echo \$installprivlib | sed "s!\$prefix!\$installprefix!"\`
installscript=\`echo \$installscript | sed "s!\$prefix!\$installprefix!"\`
installsitelib=\`echo \$installsitelib | sed "s!\$prefix!\$installprefix!"\`
installsitearch=\`echo \$installsitearch | sed "s!\$prefix!\$installprefix!"\`
EOF

sh Configure -des -Dprefix=/usr -Darchname=${RPM_ARCH}-linux -Dd_dosuid \
	-Ud_setresuid -Ud_setresgid -Dd_semctl_semun \
	-Dman3dir=/usr/lib/perl5/man/man3 #-Ud_setlocale

make

# Strip binaries (done now rather than at install)
strip perl
strip suidperl
strip x2p/a2p

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install

(cd ${RPM_BUILD_ROOT}/usr/bin; ln -s perl%{perlver}%{perlrel} jperl)
(cd ${RPM_BUILD_ROOT}/usr/bin; ln -s perl%{perlver}%{perlrel} eucperl)
(cd ${RPM_BUILD_ROOT}/usr/bin; ln -s perl%{perlver}%{perlrel} sjisperl)

install -m 755 utils/pl2pm $RPM_BUILD_ROOT/usr/bin/pl2pm

# Generate *.ph files with a trick. Is this sick or what ?
make all -f - <<EOF
PKGS	= glibc-devel gdbm-devel gpm-devel libgr-devel libjpeg-devel \
	  libpng-devel libtiff-devel ncurses-devel popt \
	  zlib-devel binutils libelf e2fsprogs-devel pam pwdb \
	  rpm-devel
STDH	= \$(filter /usr/include/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' \$(PKGS)))
STDH	+=\$(wildcard /usr/include/linux/*.h) \$(wildcard /usr/include/asm/*.h) \
	  \$(wildcard /usr/include/scsi/*.h)
GCCDIR	= \$(shell gcc --print-file-name include)
GCCH	= \$(filter \$(GCCDIR)/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' egcs))

PERLLIB = \$(RPM_BUILD_ROOT)/usr/lib/perl5/%{perlver}%{perlrel}
PERL	= PERL5LIB=\$(PERLLIB) \$(RPM_BUILD_ROOT)/usr/bin/perl
PHDIR	= \$(PERLLIB)/\${RPM_ARCH}-linux
H2PH	= \$(PERL) \$(RPM_BUILD_ROOT)/usr/bin/h2ph -d \$(PHDIR)/

all: std-headers gcc-headers fix-config

std-headers: \$(STDH)
	cd /usr/include && \$(H2PH) \$(STDH:/usr/include/%%=%%)

gcc-headers: \$(GCCH)
	cd \$(GCCDIR) && \$(H2PH) \$(GCCH:\$(GCCDIR)/%%=%%)

fix-config: \$(PHDIR)/Config.pm
	\$(PERL) -i -p -e "s|\$(RPM_BUILD_ROOT)||g;" \$<

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/sperl%{perlver}%{perlrel}
/usr/bin/perl%{perlver}%{perlrel}
/usr/bin/suidperl
/usr/bin/perl
/usr/bin/a2p
/usr/bin/c2ph
/usr/bin/pstruct
/usr/bin/s2p
/usr/bin/find2perl
/usr/bin/h2xs
/usr/bin/h2ph
/usr/bin/pl2pm
/usr/bin/perldoc
/usr/bin/pod2man
/usr/bin/pod2html
/usr/bin/pod2latex
/usr/lib/perl5
/usr/man/man1/a2p.1
/usr/man/man1/s2p.1
/usr/man/man1/perl*.1

%changelog
* Wed Aug 25 1999 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- update to jperl5.005_03-990822

* Sun Jul  4 1999 Japanese LinuxPPC Users' Group <jrpm@ppc.linux.or.jp>
- update to jperl5.005_03-990703

* Thu Jun 24 1999 Japanese LinuxPPC Users' Group <jrpm@ppc.linux.or.jp>
- update to jperl5.005_03-990619
- build against Linuxppc R5

* Sun May 30 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 1st Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Fri May 07 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 5.00503jp990503
- spec file was based on RedHat 6.0

* Tue Apr 13 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- Updated to version 5.005_03jp990403

* Wed Jan 13 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against glibc and wcsmbs
- added Distribution, Vendor, and Packager tags

* Mon Dec 29 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp981225.

* Tue Oct 15 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Add -Ud_setlocale option.

* Wed Oct  1 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980929.

* Sat Sep 19 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980917.

* Mon Sep  7 1998 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- Update to perl5.005_02jp980905.
- Now all patches are deleted.

* Thu Mar 12 1998 Tatsuo Munakata <munakata@fb3.so-net.or.jp>
- Repackaged to 5.004_04jp980303 from 5.004_04jp971016-1
- perl-5.004_04jp971016-1 was pacaged by  ICHIKAWA Tetsuro <neptune@st.rim.or.jp>
- Added perl-5.004-tmprace.patch <ftp://ftp.redhat.com//pub/redhat/redhat-4.2/updates/SRPMS>
- This patch was created by Cristian Gafton <gafton@redhat.com>

* Thu Feb 5 1998 Tatsuo Munakata <munakata@fb3.so-net.or.jp>
- Rebuild for ppc arch for MacExpo
- Added perl5.004-ppc.patch, whichi is included perl-5.004_01-1.src.rpm <ftp://ftp.linuxppc.org/linuxppc/redhat/SRPMS/>
- This patch was created by Gary Thomas <gdt@linuxppc.org>
